<template>
  <div>
    <div v-for="product in card" :key="product.id" class="product-container">
      <div class="container">
        <img :src="product.img" width="200" height="200" alt="" />
        <div>{{ $t("form.name") }}: {{ product.name }}</div>
        <div>{{ $t("form.price") }}: {{ product.price }}</div>
        <div>{{ $t("form.category") }}: {{ product.category }}</div>
        <div>{{ $t("form.description") }}: {{ product.description }}</div>
        <button @click="deleteItem(product)">{{ $t("form.delete") }}</button>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from "vuex";

export default {
  computed: {
    ...mapGetters(["card"]),
  },
  methods: {
    ...mapActions(["removeFromCard"]),
    deleteItem(product) {
      const index = this.card.indexOf(product);
      this.removeFromCard(index);
    },
  },
};
</script>

<style lang="scss" scoped>
.container {
  border: 2px solid #ccc;
  border-radius: 8px;
  padding: 20px;
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

img {
  border-radius: 50%;
  border: 2px solid #aaa;
}

button {
  padding: 8px 16px;
  background-color: #ff6347;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

button:hover {
  background-color: #d32f2f;
}
</style>
